Subject: Re: netfront for review

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 01 May 2007 21:18:14 -0700

Rusty Russell wrote:
> On Tue, 2007-05-01 at 17:08 -0700, Jeremy Fitzhardinge wrote:
>   
>> Add the Xen virtual network device driver.
>>     
>
> (Herbert: there's a question for you: grep for Herbert)
>
> OK, this is a remarkably non-trivial driver.  If the v0.1 of the driver
> had been in the kernel, I'm sure it would have been about 1/4 the size
> and far easier to review 8(
>
> Nonetheless, I have scoured the entire thing.  It's not actually too
> bad.
>   

Lovely, thanks.  I'm at the double disadvantage of not really knowing
how the network stack works or precisely how Xen does networking, but
the homework exercises ("comment this") will definitely help my education.

    J